Topic
  • 13 replies
  • Latest Post - ‏2014-04-16T18:41:43Z by RDzJohn
SystemAdmin
SystemAdmin
253 Posts

Pinned topic can not run RDT85-wizard.bin from latest release

‏2012-05-15T16:19:10Z |
Hi

I downloaded the RDZ&T zOS 1.13 release and am trying to run the installer on the RationalDevTest_v850_Install_113.iso called RDT85-wizard.bin and am having a failure when i run either as my ID, my RDZ ID or Root

it appears to not like console mode

root@rdzut mnt# ./RDT85-wizard.bin /?
Preparing to install...
Extracting the JRE from the installer archive...
Unpacking the JRE...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...

Launching installer...
Graphical installers are not supported by the VM. The console mode will be used instead...

Preparing CONSOLE Mode Installation...

===============================================================================
Choose Locale...


1- Deutsch
->2- English
3- Español
4- Français
5- Português (Brasil)

CHOOSE LOCALE BY NUMBER: 2

=======================================================

Installer User Interface Mode Not Supported

The installer cannot run in this UI mode. To specify the interface mode, use the -i command-line option, followed by the UI mode identifier. The valid UI modes identifiers are GUI, Console, and Silent.

=======================================================
Running in a X-Window session is not an option for servers nor is something like VNC

what am I doing wrong or how do get around this

Thank you
Updated on 2013-02-18T15:37:57Z at 2013-02-18T15:37:57Z by SystemAdmin
  • RDzJohn
    RDzJohn
    271 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2012-05-15T17:26:26Z  
    Sandra,
    We don't support console mode installs for RD&T because we have a click through license that must be accepted before we will install the code on the target system. For this reason, you must run RDT85-wizard.bin on a system that has X installed. Once the code has been unpacked and laid down by our installer, it can be moved to your target system and run as a silent install. Following the zPDT redbook install instructions you will see there is customization of system files required after the simulator code is installed. As long as you can handle VI, I don't see any reason why you couldn't do this from a terminal or rlogin session.

    RDzJohn
  • SystemAdmin
    SystemAdmin
    253 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2012-05-15T18:39:05Z  
    the need for X is disappointing, i do not see references to this in the redbook
    can you point to which redbook and where this is talked about.
    my previous install was a rpm not an executable like this
  • RDzJohn
    RDzJohn
    271 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2012-05-15T18:48:38Z  
    the need for X is disappointing, i do not see references to this in the redbook
    can you point to which redbook and where this is talked about.
    my previous install was a rpm not an executable like this
    Sandra,
    The simple answer is we goofed. We were forced into the click through install because of new legal requirements imposed for new IBM Rational Software releases. We actually changed this process for our RDz-UT 8.0.3 release and it carried forward to RD&T 8.5. Not having a requirement for console mode installs, we didn't implement it. I appreciate the difficulty you are having and I've opened a requirement to get the console mode install addressed in our next fixpack. I'm also asking for a doc update to more clearly point out the install requirements and the process for getting from the .iso install disk to a fully installed RD&T product.

    RDzJohn
  • SystemAdmin
    SystemAdmin
    253 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2012-05-15T19:33:29Z  
    Thank you very much
  • MHammock
    MHammock
    3 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2012-12-21T18:46:02Z  
    • RDzJohn
    • ‏2012-05-15T18:48:38Z
    Sandra,
    The simple answer is we goofed. We were forced into the click through install because of new legal requirements imposed for new IBM Rational Software releases. We actually changed this process for our RDz-UT 8.0.3 release and it carried forward to RD&T 8.5. Not having a requirement for console mode installs, we didn't implement it. I appreciate the difficulty you are having and I've opened a requirement to get the console mode install addressed in our next fixpack. I'm also asking for a doc update to more clearly point out the install requirements and the process for getting from the .iso install disk to a fully installed RD&T product.

    RDzJohn
    I am trying to install RD&T for the first time. (I have installed zPDT, z1090 many times). I copied the RDT85-wizard.bin to my /tmp directory and try to execute it. I get the error described above no matter what mode I specify. I am running in a GUI system (SUSE 12.2, Xfce desktop, within a Terminal window). x11 is definitely installed/active (I'm actually doing this across a VNC connection). So how do I execute the wizard if I cannot run it from a terminal window in a graphical desktop?
  • scottpecnik
    scottpecnik
    15 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2012-12-21T19:06:57Z  
    • MHammock
    • ‏2012-12-21T18:46:02Z
    I am trying to install RD&T for the first time. (I have installed zPDT, z1090 many times). I copied the RDT85-wizard.bin to my /tmp directory and try to execute it. I get the error described above no matter what mode I specify. I am running in a GUI system (SUSE 12.2, Xfce desktop, within a Terminal window). x11 is definitely installed/active (I'm actually doing this across a VNC connection). So how do I execute the wizard if I cannot run it from a terminal window in a graphical desktop?
    Hi MHammock,

    The simple answer is that you're running with an underlying OS that is not supported. IBM only officially supports RD&T up to SUSE 11.2. However, I've got it running on 12.2 (shh), all you need to do is enable the 32-bit libraries.

    The easiest way is to re-install openSUSE from scratch, and during the install check the box to install the 32-bit runtime environment.

    Scott
  • MHammock
    MHammock
    3 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2012-12-21T19:31:34Z  
    Hi MHammock,

    The simple answer is that you're running with an underlying OS that is not supported. IBM only officially supports RD&T up to SUSE 11.2. However, I've got it running on 12.2 (shh), all you need to do is enable the 32-bit libraries.

    The easiest way is to re-install openSUSE from scratch, and during the install check the box to install the 32-bit runtime environment.

    Scott
    Interesting, I've been running zPDT (z1090) under openSUSE 12.2 for several months with no issues. Must be the RDT unique installer...
    I was suspicious of the 32 bit stuff so went back and made sure I had (what I though were) the appropriate 32 bit libs installed and it still doesn't work. Any chance you could post what 32 bit libs you ended up installing to make it work?
    Thanks,
  • scottpecnik
    scottpecnik
    15 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2012-12-21T19:53:38Z  
    • MHammock
    • ‏2012-12-21T19:31:34Z
    Interesting, I've been running zPDT (z1090) under openSUSE 12.2 for several months with no issues. Must be the RDT unique installer...
    I was suspicious of the 32 bit stuff so went back and made sure I had (what I though were) the appropriate 32 bit libs installed and it still doesn't work. Any chance you could post what 32 bit libs you ended up installing to make it work?
    Thanks,
    Install xulrunner-32 from YAST. I think that's a package from mozilla for the 32-bit UI that the installer depends on. It will bring in a bunch of other things as well, but it should work.

    Scott
  • MHammock
    MHammock
    3 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2012-12-22T01:13:34Z  
    Install xulrunner-32 from YAST. I think that's a package from mozilla for the 32-bit UI that the installer depends on. It will bring in a bunch of other things as well, but it should work.

    Scott
    Excellent!!
    You were correct on several fronts.
    Installing Xulrunner did take care of the problem; the installer ran OK after installing Xulrunner and it's pre/co-reqs.
    You were also right about it bringing along a lot of other packages. 65 to be exact!
    Sure is a "messy" install compared to the simple way of doing the zPDT (z1090) install.

    Much thanks for your help, I had already done a fair amount of customization and didn't really want to start the Linux install over from scratch.
  • RDzJohn
    RDzJohn
    271 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2013-01-02T12:41:02Z  
    • MHammock
    • ‏2012-12-22T01:13:34Z
    Excellent!!
    You were correct on several fronts.
    Installing Xulrunner did take care of the problem; the installer ran OK after installing Xulrunner and it's pre/co-reqs.
    You were also right about it bringing along a lot of other packages. 65 to be exact!
    Sure is a "messy" install compared to the simple way of doing the zPDT (z1090) install.

    Much thanks for your help, I had already done a fair amount of customization and didn't really want to start the Linux install over from scratch.
    Claude,
    Thanks for sticking with this. The "messiness" of the installer is noted. We hope to address these problems in a future release of RD&T.

    RDzJohn
  • SystemAdmin
    SystemAdmin
    253 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2013-02-18T15:37:57Z  
    Install xulrunner-32 from YAST. I think that's a package from mozilla for the 32-bit UI that the installer depends on. It will bring in a bunch of other things as well, but it should work.

    Scott
    Just a shout out to Scott to say thanks for posting the 32bit libraries needed for the SecureUpdateUtility to work with the opensuse 12.2 ...Tim
  • FoxBlue65
    FoxBlue65
    1 Post

    Re: can not run RDT85-wizard.bin from latest release

    ‏2014-04-13T15:03:19Z  
    • RDzJohn
    • ‏2013-01-02T12:41:02Z
    Claude,
    Thanks for sticking with this. The "messiness" of the installer is noted. We hope to address these problems in a future release of RD&T.

    RDzJohn

    Dear John,

    Today we are in April 2014 and I have the same problem with this installation process. I must say this is really incredible. Meanwhile we have openSUSE 13.1 and I simply don't understand how a simple installation of two rpms can made so difficult. I installed the above mentioned libraries and it is still NOT working.

    This is a totally misleading error message and I must say that I am really pissed off how this is implemented.

    FoxBlue65

  • RDzJohn
    RDzJohn
    271 Posts

    Re: can not run RDT85-wizard.bin from latest release

    ‏2014-04-16T18:41:43Z  
    • FoxBlue65
    • ‏2014-04-13T15:03:19Z

    Dear John,

    Today we are in April 2014 and I have the same problem with this installation process. I must say this is really incredible. Meanwhile we have openSUSE 13.1 and I simply don't understand how a simple installation of two rpms can made so difficult. I installed the above mentioned libraries and it is still NOT working.

    This is a totally misleading error message and I must say that I am really pissed off how this is implemented.

    FoxBlue65

    We acknowledge problems with the RD&T 8.5 Install Anywhere based installer.  In recognition of that fact, the install experience was substantially changed in RD&T V9.0 to be specific to RD&T and to use Install Manager for the entire install process.  The new IM based installer also supports Console mode installs and it generates log files in case there are issues. 

    Something you will need to get used to is from RD&T V9.0 forward, you do not have access to the old zPDT executables.  The IM installer will unencrypt the installer, run the installer, and then delete the installer.  To re-install, you must use IM again.  The other big change we made for V9.0 is that the hardware usb key and license file is specific to RD&T.  You can no longer use a zPDT hardware usb key to run RD&T. 

    You also run on unsupported operating systems at your peril.  RD&T 8.5 has the following base linux requirements: 64-bit versions of RHEL 6.0, openSuSE 11.0 or SLES 11 SP1 or greater.  Or greater in this context means within the same version.  If you encounter problems running on an unsupported linux, we would likely look at the problem, but could not gurantee a fix outside of our normal product update cycles.

     

    RDzJohn